Subject: Patch #14 problems.

From: richb@stard (Rich Burridge)
Date: Wed, 3 Apr 1991 08:05:55 +1000

> From: [email-masked] (Ignatios Souvatzis)
> The compiler complained about redeclaration of raise in ./extern.h
> called from x11.c. extern int /*???*/ raise(); is declared in
> <signal.h>, extern int raise; is declared in ./extern.h. I changed all
> occurences of raise to raisewindow in all source files; now it works
> fine.

> From: Mark Shand <[email-masked]>
> Compiling on a DECstation running ultrix 4.0, I had a problem with
> a redeclartion of "raise" in x11.c.
> 
> On this system:
> /usr/include/signal.h
> defines:
>     extern int raise();
> 
> Comments in the include file say this was added for 5 dec 89 for ANSI
> compatibility.
> 
> I renamed the offending variable "raize" and managed to compile without
> errors.

Thanks. I'll "officially" rename it to raisewindow() in patch #15, which I'll
put out at the end of the week, with Steves' new filters and scripts.

---

From: [email-masked] (Ignatios Souvatzis)
Date: Wed, 3 Apr 91 10:24:35 +0100

Rich Burridge writes:
 > Thanks. I'll "officially" rename it to raisewindow() in patch #15,
 > which I'll put out at the end of the week, with Steves' new filters
 > and scripts.

Rich: please rename the VARIABLE in the faces PROGRAM, not the SYSTEM
CALL. extern int raisewindow ; or extern int raize is ok.

			Ignatios